Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 275848 - sys-apps/portage - emerge: "existing preserved libs"-warning should respect --quiet
Summary: sys-apps/portage - emerge: "existing preserved libs"-warning should respect -...
Status: CONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-29 16:55 UTC by Sebastian Luther (few)
Modified: 2021-05-22 08:59 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Luther (few) 2009-06-29 16:55:45 UTC
I think a warning that preserved libs exist is enough with --quiet. It shouldn't output all those files every time.
Comment 1 James Stevenson 2021-05-22 08:59:04 UTC
I think this bug can be closed. The fix appears to have been implemented in lib/_emerge/post_emerge.py -


>if vardbapi._plib_registry.hasEntries():                                     
>    if "--quiet" in myopts:                                                           
>       print()                                                              
>       print(colorize("WARN", "!!!") + " existing preserved libs found")    
>    else:                                                                    
>       print()                                                              
>       print(colorize("WARN", "!!!") + " existing preserved libs:")         
>       display_preserved_libs(vardbapi)                                     
>       print("Use " + colorize("GOOD", "emerge @preserved-rebuild") +       
>           " to rebuild packages using these libraries")